# $Revision: 1.9 $, $Date: 2003/06/30 09:43:06 $
Summary:	OpenGL binding for OCaml
Summary(pl):	Wizania OpenGL dla OCamla
Name:		ocaml-lablgl
Version:	0.99
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgl-%{version}.tar.gz
# Source0-md5:	5b5ea7889536246c58a5e747d61d6d14
URL:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-labltk-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LablGL is an OpenGL interface for Objective Caml. All of the GL and
GLU libraries are available.

This package contains files needed to run bytecode executables using
this library.

%description -l pl
LablGL umoliwia uywanie OpenGL w OCamlu. Dostpne s wszystkie
biblioteki GL i GLU.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package devel
Summary:	OpenGL binding for OCaml - development part
Summary(pl):	Wizania OpenGL dla OCamla - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
LablGL is an OpenGL interface for Objective Caml. All of the GL and
GLU libraries are available.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
LablGL umoliwia uywanie OpenGL w OCamlu. Dostpne s wszystkie
biblioteki GL i GLU.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%package togl
Summary:	Tk widget for lablGL
Summary(pl):	Widget Tk dla lablGL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml-runtime
%requires_eq	ocaml-labltk

%description togl
Togl Tk widget for lablGL, to be used with labltk.

This package contains files needed to run bytecode executables using
this library.

%description togl -l pl
Widget Togl uywajcy Tk dla lablGL. Moe by on uywany wraz z
labltk.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package togl-devel
Summary:	Tk widget for lablGL - development part
Summary(pl):	Widget Tk dla lablGL - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml
%requires_eq	ocaml-labltk-devel

%description togl-devel
Togl TK widget for lablGL, to be used with labltk.

This package contains files needed to develop OCaml programs using
this library.

%description togl-devel -l pl
Widget Togl uywajcy TK dla lablGL. Moe by on uywany wraz z
labltk.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%package toplevel
Summary:	OpenGL binding for OCaml - interactive system
Summary(pl):	Wizania OpenGL dla OCamla - system interaktywny
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description toplevel
LablGL is an OpenGL interface for Objective Caml. All of the GL and
GLU libraries are available.

This package contains OCaml toplevel interactive system linked with
lablgl.

%description toplevel -l pl
LablGL umoliwia uywanie OpenGL w OCamlu. Dostpne s wszystkie
biblioteki GL i GLU.

Pakiet ten zawiera system interaktywny OCamla zlinkowany z lablgl.

%prep
%setup -q -n lablGL-%{version}

%build
sed -e 's|^TKINCLUDES|#&|;
	s|^GLLIBS.*|GLLIBS = -L%{_prefix}/X11R6/lib -lGL -lGLU -lXmu|;
	s|^COPTS.*|COPTS = %{rpmcflags} -c -fPIC|;' \
	Makefile.config.ex > Makefile.config
%{__make} all opt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/ocaml/{stublibs,site-lib/{lablgl,togl}},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/lablgl \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	BINDIR=$RPM_BUILD_ROOT%{_bindir}

mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/lablgl/*.mli .

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/lablgl/META <<EOF
# Specifications for the "lablgl" library:
requires = ""
version = "%{version}"
directory = "+lablgl"
archive(byte) = "lablgl.cma"
archive(native) = "lablgl.cmxa"
linkopts = ""
EOF

cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/togl/META <<EOF
# Specifications for the "lablgl" library:
requires = "labgl"
version = "%{version}"
directory = "+lablgl"
archive(byte) = "togl.cma"
archive(native) = "togl.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgl.so

%files togl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlltogl.so

%files togl-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablgl/togl.*
%{_libdir}/ocaml/lablgl/libtogl.*
%{_libdir}/ocaml/site-lib/togl

%files devel
%defattr(644,root,root,755)
%doc COPYRIGHT CHANGES README *.mli
%dir %{_libdir}/ocaml/lablgl
%{_libdir}/ocaml/lablgl/gl*
%{_libdir}/ocaml/lablgl/lablgl.*
%{_libdir}/ocaml/lablgl/liblablgl.a
%{_libdir}/ocaml/lablgl/raw.*
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/lablgl

%files toplevel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/ocaml/lablgl/lablgltop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-lablgl.spec,v $
Revision 1.9  2003/06/30 09:43:06  malekith
- include *.mli files as documentation; don't gzip 'em

Revision 1.8  2003/06/29 15:33:50  blues
- some cosmetics fixes and simplifications

Revision 1.7  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/03 20:59:02  malekith
- up to 0.99

Revision 1.4  2003/05/02 14:28:05  adamg
- added missing BR: ocaml-camlp4

Revision 1.3  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.2  2002/05/13 13:17:29  qboosh
- typo

Revision 1.1  2002/05/13 11:21:29  malekith
- initial; from scratch


